> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Requirement Disables



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/category-guidance/requirement-disables
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/category-guidance/requirement-disables:
    patch:
      tags:
        - Collection Entry Category Guidance
      summary: Update Requirement Disables
      operationId: CollectionEntryCategoryGuidanceController_updateRequirementDisables_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: entryId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCollectionEntryRequirementDisablesDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CollectionEntryInstructionsMutationResponseDto
components:
  schemas:
    UpdateCollectionEntryRequirementDisablesDto:
      type: object
      properties:
        operations:
          maxItems: 1000
          type: array
          items:
            type: object
            properties:
              requirementLineageId:
                type: string
                format: uuid
                pattern: >-
                  ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              enabled:
                type: boolean
            required:
              - requirementLineageId
              - enabled
            additionalProperties: false
        entryVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - operations
        - entryVersion
        - collectionVersion
      additionalProperties: false
    CollectionEntryInstructionsMutationResponseDto:
      type: object
      properties:
        guidance:
          $ref: '#/components/schemas/CollectionEntryInstructionsResponseDto'
        entryVersion:
          type: number
        collectionVersion:
          type: number
      required:
        - guidance
        - entryVersion
        - collectionVersion
    CollectionEntryInstructionsResponseDto:
      type: object
      properties:
        revision:
          type: number
        classification:
          type: object
          properties:
            categoryId:
              type: string
            productTypeId:
              type: string
              nullable: true
          required:
            - categoryId
            - productTypeId
        instructions:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryInstructionGroupResponseDto'
        requirements:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryRequirementGroupResponseDto'
      required:
        - revision
        - classification
        - instructions
        - requirements
    CollectionEntryInstructionGroupResponseDto:
      type: object
      properties:
        groupId:
          type: string
        groupLineageId:
          type: string
        groupLabel:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryInstructionItemResponseDto'
      required:
        - groupId
        - groupLineageId
        - groupLabel
        - items
    CollectionEntryRequirementGroupResponseDto:
      type: object
      properties:
        groupId:
          type: string
        groupLineageId:
          type: string
        groupLabel:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryRequirementItemResponseDto'
      required:
        - groupId
        - groupLineageId
        - groupLabel
        - items
    CollectionEntryInstructionItemResponseDto:
      type: object
      properties:
        key:
          type: string
        id:
          type: string
        lineageId:
          type: string
          nullable: true
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
              - facility_mgr
        position:
          type: number
        origin:
          type: string
          enum:
            - entry
            - product-type
      required:
        - key
        - id
        - lineageId
        - text
        - assigneeRoleGroupIds
        - position
        - origin
    CollectionEntryRequirementItemResponseDto:
      type: object
      properties:
        id:
          type: string
        lineageId:
          type: string
          nullable: true
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
              - facility_mgr
        position:
          type: number
        origin:
          type: string
          enum:
            - category
            - entry
            - item-disabled
      required:
        - id
        - lineageId
        - text
        - assigneeRoleGroupIds
        - position
        - origin

````